Endpoint
PATCH /v1/tasks/:id
write:tasks
Corpo da requisição
| Campo | Tipo | Descrição |
|---|---|---|
title | string | Título |
description | string | Descrição |
type | string | Tipo da tarefa |
priority | string | Prioridade |
assigned_to | string | ID do responsável |
due_date | string | Data limite (ISO 8601) |
Exemplo de requisição
curl -X PATCH https://api.socialsell.ai/v1/tasks/664d2e3f4a5b6c7890123456 \
-H "Authorization: Bearer sk_live_..." \
-H "Content-Type: application/json" \
-d '{
"priority": "urgent",
"due_date": "2026-06-11T10:00:00.000Z"
}'
Erros
| Código | Status | Descrição |
|---|---|---|
INVALID_ID | 400 | ID com formato inválido |
INVALID_TYPE | 400 | Tipo de tarefa inválido |
INVALID_PRIORITY | 400 | Prioridade inválida |
NOT_FOUND | 404 | Tarefa não encontrada |

